Version v1.73.0 to v1.74.0


Summary of Changes

6 - New

38 - Updated

856 - Total Endpoints

582 - Total Paths



Added

[ campusGateway ]

ssids

Docs

Update the mDNS gateway settings and rules for a SSID and cluster

Operation ID: updateNetworkCampusGatewaySsidMdns

PATH /networks/{networkId}/campusGateway/ssids/{number}/mdns

- Path added

- New endpoint

PUT /networks/{networkId}/campusGateway/ssids/{number}/mdns



[ devices ]

wireless

Docs

Return the radio overrides of a device

Operation ID: getDeviceWirelessRadioOverrides

PATH /devices/{serial}/wireless/radio/overrides

- Path added

- New endpoint

GET /devices/{serial}/wireless/radio/overrides



Docs

Update 2.4 GHz, 5 GHz, and 6 GHz radio settings (channel, channel width, power, and enable/disable) that override RF profiles

Operation ID: updateDeviceWirelessRadioOverrides

PATH /devices/{serial}/wireless/radio/overrides

- Path added

- New endpoint

PUT /devices/{serial}/wireless/radio/overrides



[ organizations ]

campusGateway

Docs

Update MCG cluster-network tunnel settings for multiple networks

Operation ID: batchOrganizationCampusGatewayClustersTunnelingUpdate

PATH /organizations/{organizationId}/campusGateway/clusters/tunneling/batchUpdate

- Path added

- New endpoint

POST /organizations/{organizationId}/campusGateway/clusters/tunneling/batchUpdate



Docs

List all the MCG cluster-network tunnel settings

Operation ID: getOrganizationCampusGatewayClustersTunnelingByClusterByNetwork

PATH /organizations/{organizationId}/campusGateway/clusters/tunneling/byCluster/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/clusters/tunneling/byCluster/byNetwork



wireless

Docs

Return a list of radio overrides

Operation ID: getOrganizationWirelessRadioOverridesByDevice

PATH /organizations/{organizationId}/wireless/radio/overrides/byDevice

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/radio/overrides/byDevice



Changed

[ administered ]

licensing

Docs

Retrieve the list of purchasable entitlements

Operation ID: getAdministeredLicensingSubscriptionEntitlements

GET /administered/licensing/subscription/entitlements

- added the new optional query request parameter subscriptionType


[ appliance ]

interfaces

Docs

Update wired L3 interface

Operation ID: updateNetworkApplianceInterfacesL3

PUT /networks/{networkId}/appliance/interfaces/l3/{interfaceId}

- the request property port became nullable


singleLan

Docs

Return single LAN configuration

Operation ID: getNetworkApplianceSingleLan

GET /networks/{networkId}/appliance/singleLan

- added the optional property vrf to the response with the 200 status


Docs

Update single LAN configuration

Operation ID: updateNetworkApplianceSingleLan

PUT /networks/{networkId}/appliance/singleLan

- added the new optional request property vrf

- added the optional property vrf to the response with the 200 status


ssids

Docs

Update the attributes of an MX SSID

Operation ID: updateNetworkApplianceSsid

PUT /networks/{networkId}/appliance/ssids/{number}

- added the new 8021x-nac enum value to the request property authMode


trafficShaping

Docs

Operation ID: getNetworkApplianceTrafficShapingUplinkSelection

GET /networks/{networkId}/appliance/trafficShaping/uplinkSelection

- added the optional property vpnTrafficUplinkPreferences/items/vrf to the response with the 200 status

- added the optional property wanTrafficUplinkPreferences/items/vrf to the response with the 200 status


Docs

Operation ID: updateNetworkApplianceTrafficShapingUplinkSelection

PUT /networks/{networkId}/appliance/trafficShaping/uplinkSelection

- added the new optional request property vpnTrafficUplinkPreferences/items/vrf

- added the new optional request property wanTrafficUplinkPreferences/items/vrf

- added the optional property vpnTrafficUplinkPreferences/items/vrf to the response with the 200 status

- added the optional property wanTrafficUplinkPreferences/items/vrf to the response with the 200 status


vlans

Docs

Add a VLAN

Operation ID: createNetworkApplianceVlan

POST /networks/{networkId}/appliance/vlans

- the request property ipv6/prefixAssignments/items/disabled became optional


vpn

Docs

Return a Hub BGP Configuration

Operation ID: getNetworkApplianceVpnBgp

GET /networks/{networkId}/appliance/vpn/bgp

- added the optional property neighbors/items/vrf to the response with the 200 status


Docs

Update a Hub BGP Configuration

Operation ID: updateNetworkApplianceVpnBgp

PUT /networks/{networkId}/appliance/vpn/bgp

- added the optional property neighbors/items/vrf to the response with the 200 status


[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: createDeviceApplianceInterfacesPortsUpdate

POST /devices/{serial}/appliance/interfaces/ports/update

- added the new access-manager enum value to the downlink/access/policy/type response property for the response status 200

- added the new access-manager enum value to the request property downlink/access/policy/type


liveTools

Docs

Enqueue a job to perform a routing table lookup request for a device

Operation ID: createDeviceLiveToolsRoutingTableLookup

POST /devices/{serial}/liveTools/routingTable/lookups

- added the new optional request property vrf

- added the optional property request/vrf to the response with the 201 status


Docs

Return a routing table live tool lookup job for a device

Operation ID: getDeviceLiveToolsRoutingTableLookup

GET /devices/{serial}/liveTools/routingTable/lookups/{id}

- added the optional property entries/items/nextHops/items/vlan to the response with the 200 status

- added the optional property request/vrf to the response with the 200 status


switch

Docs

List the switch ports for a switch

Operation ID: getDeviceSwitchPorts

GET /devices/{serial}/switch/ports

- added the optional property items/fastPoe to the response with the 200 status

- added the optional property items/perpetualPoe to the response with the 200 status


Docs

Return a switch port

Operation ID: getDeviceSwitchPort

GET /devices/{serial}/switch/ports/{portId}

- added the optional property fastPoe to the response with the 200 status

- added the optional property perpetualPoe to the response with the 200 status


Docs

Update a switch port

Operation ID: updateDeviceSwitchPort

PUT /devices/{serial}/switch/ports/{portId}

- added the new optional request property fastPoe

- added the new optional request property perpetualPoe

- added the optional property fastPoe to the response with the 200 status

- added the optional property perpetualPoe to the response with the 200 status


[ firmwareUpgrades ]

staged

Docs

Get the Staged Upgrade Event from a network

Operation ID: getNetworkFirmwareUpgradesStagedEvents

GET /networks/{networkId}/firmwareUpgrades/staged/events

- added the optional property products/switchCatalyst to the response with the 200 status


Docs

Create a Staged Upgrade Event for a network

Operation ID: createNetworkFirmwareUpgradesStagedEvent

POST /networks/{networkId}/firmwareUpgrades/staged/events

- added the optional property products/switchCatalyst to the response with the 200 status


Docs

Update the Staged Upgrade Event for a network

Operation ID: updateNetworkFirmwareUpgradesStagedEvents

PUT /networks/{networkId}/firmwareUpgrades/staged/events

- added the new optional request property products

- added the optional property products/switchCatalyst to the response with the 200 status


Docs

Postpone by 1 week all pending staged upgrade stages for a network

Operation ID: deferNetworkFirmwareUpgradesStagedEvents

POST /networks/{networkId}/firmwareUpgrades/staged/events/defer

- added the optional property products/switchCatalyst to the response with the 200 status


Docs

Rollback a Staged Upgrade Event for a network

Operation ID: rollbacksNetworkFirmwareUpgradesStagedEvents

POST /networks/{networkId}/firmwareUpgrades/staged/events/rollbacks

- added the optional property products/switchCatalyst to the response with the 200 status


[ organizations ]

api

Docs

Retrieves pipeline overviews with aggregated job status counts

Operation ID: getOrganizationApiRestProvisioningPipelinesJobsOverviewsByPipeline

GET /organizations/{organizationId}/api/rest/provisioning/pipelines/jobs/overviews/byPipeline

- added the new bulk update region workflow enum value to the items/items/counts/byJobOperation/items/name response property for the response status 200


appliance

Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- added the new access-manager enum value to the items/items/ports/items/downlink/access/policy/type response property for the response status 200


Docs

Return the third party VPN peers for an organization

Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers

GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the new aws enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new default enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new secure enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella_short_lived enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200


Docs

Update the third party VPN peers for an organization

Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers

PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- request property peers/items/ipsecPoliciesPreset was restricted to a list of enum values

- added the new aws enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new azure enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new default enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new secure enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new umbrella_short_lived enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new zscaler enum value to the peers/items/ipsecPoliciesPreset response property for the response status 200

- added the new aws enum value to the request property peers/items/ipsecPoliciesPreset

- added the new azure enum value to the request property peers/items/ipsecPoliciesPreset

- added the new default enum value to the request property peers/items/ipsecPoliciesPreset

- added the new secure enum value to the request property peers/items/ipsecPoliciesPreset

- added the new umbrella enum value to the request property peers/items/ipsecPoliciesPreset

- added the new umbrella_short_lived enum value to the request property peers/items/ipsecPoliciesPreset

- added the new zscaler enum value to the request property peers/items/ipsecPoliciesPreset


assurance

Docs

Return all health alerts for an organization

Operation ID: getOrganizationAssuranceAlerts

GET /organizations/{organizationId}/assurance/alerts

- added the enum value copp_drops to the property items/ of the query request parameter types

- added the enum value fan_tray_failure to the property items/ of the query request parameter types

- added the enum value line_card_insufficient_power_shutdown to the property items/ of the query request parameter types

- added the enum value radius_ca_certificate_installation to the property items/ of the query request parameter types


Docs

Return overview of active health alerts for an organization

Operation ID: getOrganizationAssuranceAlertsOverview

GET /organizations/{organizationId}/assurance/alerts/overview

- added the enum value copp_drops to the property items/ of the query request parameter types

- added the enum value fan_tray_failure to the property items/ of the query request parameter types

- added the enum value line_card_insufficient_power_shutdown to the property items/ of the query request parameter types

- added the enum value radius_ca_certificate_installation to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by network and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByNetwork

GET /organizations/{organizationId}/assurance/alerts/overview/byNetwork

- added the enum value copp_drops to the property items/ of the query request parameter types

- added the enum value fan_tray_failure to the property items/ of the query request parameter types

- added the enum value line_card_insufficient_power_shutdown to the property items/ of the query request parameter types

- added the enum value radius_ca_certificate_installation to the property items/ of the query request parameter types


Docs

Return a Summary of Alerts grouped by type and severity

Operation ID: getOrganizationAssuranceAlertsOverviewByType

GET /organizations/{organizationId}/assurance/alerts/overview/byType

- added the enum value copp_drops to the property items/ of the query request parameter types

- added the enum value fan_tray_failure to the property items/ of the query request parameter types

- added the enum value line_card_insufficient_power_shutdown to the property items/ of the query request parameter types

- added the enum value radius_ca_certificate_installation to the property items/ of the query request parameter types


Docs

Returns historical health alert overviews

Operation ID: getOrganizationAssuranceAlertsOverviewHistorical

GET /organizations/{organizationId}/assurance/alerts/overview/historical

- added the enum value copp_drops to the property items/ of the query request parameter types

- added the enum value fan_tray_failure to the property items/ of the query request parameter types

- added the enum value line_card_insufficient_power_shutdown to the property items/ of the query request parameter types

- added the enum value radius_ca_certificate_installation to the property items/ of the query request parameter types


inventory

Docs

Return the device inventory for an organization

Operation ID: getOrganizationInventoryDevices

GET /organizations/{organizationId}/inventory/devices

- added the optional property items/address to the response with the 200 status


Docs

Return a single device from the inventory of an organization

Operation ID: getOrganizationInventoryDevice

GET /organizations/{organizationId}/inventory/devices/{serial}

- added the optional property address to the response with the 200 status


Docs

Preview the results and status of an order claim by the secure order id

Operation ID: previewOrganizationInventoryOrders

POST /organizations/{organizationId}/inventory/orders/preview

- added the new bulk_claim_required enum value to the resolution/submissionStrategy response property for the response status 200

- added the new sync_claim enum value to the resolution/submissionStrategy response property for the response status 200

- added the new sync_order_claim enum value to the resolution/submissionStrategy response property for the response status 200


switch

Docs

List the switchports in an organization by switch

Operation ID: getOrganizationSwitchPortsBySwitch

GET /organizations/{organizationId}/switch/ports/bySwitch

- added the required property items/ports/items/fastPoe to the response with the 200 status

- added the required property items/ports/items/perpetualPoe to the response with the 200 status


[ wireless ]

rfProfiles

Docs

List RF profiles for this network

Operation ID: getNetworkWirelessRfProfiles

GET /networks/{networkId}/wireless/rfProfiles

- added the optional property dot11be to the response with the 200 status

- added the optional property fiveGhzSettings/dot11ax to the response with the 200 status

- added the optional property twoFourGhzSettings/dot11ax to the response with the 200 status


Docs

Creates new RF profile for this network

Operation ID: createNetworkWirelessRfProfile

POST /networks/{networkId}/wireless/rfProfiles

- added the new optional request property dot11be

- added the new optional request property fiveGhzSettings/dot11ax

- added the new optional request property twoFourGhzSettings/dot11ax

- added the optional property dot11be to the response with the 201 status

- added the optional property fiveGhzSettings/dot11ax to the response with the 201 status

- added the optional property twoFourGhzSettings/dot11ax to the response with the 201 status


Docs

Return a RF profile

Operation ID: getNetworkWirelessRfProfile

GET /networks/{networkId}/wireless/rfProfiles/{rfProfileId}

- added the optional property dot11be to the response with the 200 status

- added the optional property fiveGhzSettings/dot11ax to the response with the 200 status

- added the optional property twoFourGhzSettings/dot11ax to the response with the 200 status


Docs

Updates specified RF profile for this network

Operation ID: updateNetworkWirelessRfProfile

PUT /networks/{networkId}/wireless/rfProfiles/{rfProfileId}

- added the new optional request property dot11be

- added the new optional request property fiveGhzSettings/dot11ax

- added the new optional request property twoFourGhzSettings/dot11ax

- added the optional property dot11be to the response with the 200 status

- added the optional property fiveGhzSettings/dot11ax to the response with the 200 status

- added the optional property twoFourGhzSettings/dot11ax to the response with the 200 status